VERSION 5.00
Begin VB.Form frmSP 
   Caption         =   "Stored Procedure"
   ClientHeight    =   7695
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   9735
   Icon            =   "frmSP.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   7695
   ScaleWidth      =   9735
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdFind 
      Caption         =   "Find"
      Height          =   330
      Left            =   8415
      TabIndex        =   4
      Top             =   180
      Width           =   1275
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "Done"
      Height          =   330
      Left            =   8415
      TabIndex        =   2
      Top             =   585
      Width           =   1275
   End
   Begin VB.TextBox txtSQL 
      BeginProperty Font 
         Name            =   "Courier New"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   6675
      HideSelection   =   0   'False
      Left            =   45
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   0
      Text            =   "frmSP.frx":1272
      Top             =   990
      Width           =   9645
   End
   Begin VB.Label lblSearch 
      Caption         =   "Search"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   285
      Left            =   90
      TabIndex        =   3
      Top             =   540
      Width           =   3300
   End
   Begin VB.Label lblName 
      Caption         =   "SP Name"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   285
      Left            =   90
      TabIndex        =   1
      Top             =   180
      Width           =   3300
   End
End
Attribute VB_Name = "frmSP"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
':::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
'::: Module    : frmSP
'::: DateTime  : 4/13/2004 16:31
'::: Author    : Eric_Anderson
'::: Purpose   :
':::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

Option Explicit
Public m_sSearch As String
Private m_iNextFind As Integer

'---------------------------------------------------------------------------------------
' Procedure : Form_Load
' DateTime  : 4/13/2004 22:50
' Author    : Administrator
' Purpose   :
'---------------------------------------------------------------------------------------
'
Private Sub Form_Load()

  On Error GoTo Form_Load_Error

  '::: Set the Current Find position
  m_iNextFind = 1
  
  '::: Set the search label
  Me.lblSearch.Caption = "Search string: " & m_sSearch
  
  On Error GoTo 0
  Exit Sub

Form_Load_Error:

  MsgBox "Error " & Err.Number & " (" & Err.Description & ") in procedure Form_Load of Form frmSP"
End Sub

':::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
'::: Procedure : Form_Resize
'::: DateTime  : 4/13/2004 16:32
'::: Author    : Eric_Anderson
'::: Purpose   :
':::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
':::
Private Sub Form_Resize()

  On Error GoTo Form_Resize_Error

  '::: Resize and reposition the controls
  With Me.txtSQL
    .Height = Me.ScaleHeight - 990
    .Width = Me.ScaleWidth - 90
  End With
  
  With Me.cmdOK
    .Left = Me.ScaleWidth - 1320
  End With
  
  With Me.cmdFind
    .Left = Me.ScaleWidth - 1320
  End With
  
  On Error GoTo 0
  Exit Sub

Form_Resize_Error:

  MsgBox "Error " & Err.Number & " (" & Err.Description & ") in procedure Form_Resize of Form frmSP"
End Sub

':::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
'::: Procedure : cmdOK_Click
'::: DateTime  : 4/13/2004 16:32
'::: Author    : Eric_Anderson
'::: Purpose   :
':::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
':::
Private Sub cmdOK_Click()

  On Error GoTo cmdOK_Click_Error

  '::: Hide me
  Me.Hide
  
  On Error GoTo 0
  Exit Sub

cmdOK_Click_Error:

  MsgBox "Error " & Err.Number & " (" & Err.Description & ") in procedure cmdOK_Click of Form frmSP"
End Sub

'---------------------------------------------------------------------------------------
' Procedure : cmdFind_Click
' DateTime  : 4/13/2004 22:51
' Author    : Administrator
' Purpose   :
'---------------------------------------------------------------------------------------
'
Private Sub cmdFind_Click()

  On Error GoTo cmdFind_Click_Error

  Dim iFound As Integer
  
  '::: When this button is clicked, highlight the next ocurrance of the search string
  iFound = InStr(m_iNextFind, Me.txtSQL.Text, m_sSearch, vbTextCompare)
  
  '::: If we did not find it, start the search from the top
  If iFound < 1 Then
    iFound = InStr(1, Me.txtSQL.Text, m_sSearch, vbTextCompare)
  End If
  
  '::: Highlight the found string
  Me.txtSQL.SelStart = iFound - 1
  Me.txtSQL.SelLength = Len(m_sSearch)
  
  '::: remember the current find position
  m_iNextFind = iFound + Len(m_sSearch)

  On Error GoTo 0
  Exit Sub

cmdFind_Click_Error:

  MsgBox "Error " & Err.Number & " (" & Err.Description & ") in procedure cmdFind_Click of Form frmSP"
End Sub
